Skip to main content
POST
/
api
/
v1
/
workflows
/
{workflow_id}
/
run
Error
A valid request URL is required to generate request examples
{
  "created_at": "<string>",
  "execution_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string
required

Project ID

Path Parameters

workflow_id
string
required

Workflow ID to execute

Body

application/json

Request to submit a workflow for execution

payload
any
required

Input payload for the workflow

concurrency_key
string | null

Concurrency key for deduplication

deployment_id
string | null

Deployment ID (optional, uses latest if not provided)

initial_state
any

Initial state for the workflow

otel_traceparent
string | null

OpenTelemetry trace parent (deprecated)

parent_execution_id
string | null

Parent execution ID (deprecated)

queue_concurrency_limit
integer<int32> | null

Queue concurrency limit

queue_name
string | null

Queue name for execution

root_execution_id
string | null

Root execution ID (deprecated)

run_timeout_seconds
integer<int32> | null

Timeout in seconds (default: 3600 = 60 minutes)

session_id
string | null

Session ID for grouping executions

step_key
string | null

Step key identifier (deprecated)

user_id
string | null

User ID associated with the execution

wait_for_subworkflow
boolean | null

Whether to wait for subworkflow completion (deprecated)

Response

Workflow submitted successfully

Response after submitting a workflow

created_at
string
required

Creation timestamp (RFC3339)

execution_id
string
required

Execution ID